#!/usr/bin/env python
# coding: utf-8

# # Script for visualising the warping path

# In[ ]:


# Plotting of the warping path
from dtaidistance import dtw
from dtaidistance import dtw_visualisation as dtwvis
import numpy as np
t1 = 1  # time sereis number in the dataframe
t2 = 4  # time sereis number in the dataframe

# The dataframes_norm is the same as acquired from the main function. 
# Should be run after the dataframes extarction and preprocessing
x = dataframes.dataframes_norm[0].values[:,t1]
y = dataframes.dataframes_norm[0].values[:,t2]


window_size = 300
d, paths = dtw.warping_paths(x, y, window=window_size)
best_path = dtw.best_path(paths)
# dtwvis.plot_warpingpaths(x, y, paths, best_path, filename = "turbine_{}vs{}_window_{}".format(t1,t2,window_size))
dtwvis.plot_warpingpaths(x, y, paths, best_path)


# In[ ]:


window_size = 600
d, paths = dtw.warping_paths(x, y, window=window_size)
best_path = dtw.best_path(paths)
dtwvis.plot_warpingpaths(x, y, paths, best_path)


# In[ ]:


d, paths = dtw.warping_paths(x, y)
best_path = dtw.best_path(paths)
dtwvis.plot_warpingpaths(x, y, paths, best_path)

